Bug 840091 - (CVE-2012-3410) CVE-2012-3410 bash: Stack-based buffer overflow (crash) when expanding /dev/fd file names
CVE-2012-3410 bash: Stack-based buffer overflow (crash) when expanding /dev/f...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120710,reported=2...
: Security
Depends On:
Blocks: 840094
  Show dependency treegraph
 
Reported: 2012-07-13 13:02 EDT by Jan Lieskovsky
Modified: 2016-03-04 07:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 04:26:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-07-13 13:02:27 EDT
A stack-based buffer overflow flaw was found in the way bash, the GNU Bourne Again shell, expanded certain /dev/fd file names when checking file names ('test' command) and evaluating /dev/fd file names in conditinal command expressions. A remote attacker could provide a specially-crafted Bash script that, when executed, would cause the bash executable to crash.

References:
[1] ftp://ftp.gnu.org/pub/gnu/bash/bash-4.2-patches/bash42-033
[2] http://www.openwall.com/lists/oss-security/2012/07/11/11
[3] http://www.openwall.com/lists/oss-security/2012/07/12/4
[4] http://lists.gnu.org/archive/html/bug-bash/2012-07/msg00027.html
[5] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=681278
[6] https://bugzilla.novell.com/show_bug.cgi?id=770795
Comment 1 Jan Lieskovsky 2012-07-13 13:09:27 EDT
This issue affects the versions of the bash package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue did NOT affect the versions of the bash package, as shipped with Fedora release of 16 and 17, as they got already corrected.
Comment 3 Stefan Cornelius 2012-07-17 04:25:40 EDT
Statement:

Red Hat does not consider this do be a security issue. The affected code is present in Red Hat Enterprise Linux 5 and 6, but due to use of FORTIFY_SOURCE protections the impact would be limited to a crash. Therefore, there are no plans to correct this issue in Red Hat Enterprise Linux 5 and 6.

Note You need to log in before you can comment on or make changes to this bug.